"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var react_1 = require("react");
var react_fontawesome_1 = require("@fortawesome/react-fontawesome");
var free_solid_svg_icons_1 = require("@fortawesome/free-solid-svg-icons");
var Alert_1 = require("react-bootstrap/Alert");
var core_1 = require("@reactionable/core");
exports.ErrorAlert = function (props) {
    var text = '';
    switch (true) {
        case (props.children instanceof Error):
        case 'string' === typeof props.children:
            text = props.children + '';
            break;
        default:
            text = JSON.stringify(props.children, null, '  ');
    }
    return react_1.default.createElement(Alert_1.default, { variant: "danger" },
        react_1.default.createElement(react_fontawesome_1.FontAwesomeIcon, { icon: free_solid_svg_icons_1.faExclamationCircle }),
        " ",
        text);
};
exports.useErrorAlert = function () {
    return core_1.useErrorAlert({ Component: exports.ErrorAlert });
};
//# sourceMappingURL=ErrorAlert.js.map