"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
Object.defineProperty(exports, "__esModule", { value: true });
var react_1 = require("react");
var Notification_1 = require("../notification/Notification");
var ErrorAlert_1 = require("../error-alert/ErrorAlert");
var Loader_1 = require("../loader/Loader");
var FormLabel_1 = require("react-bootstrap/FormLabel");
var Feedback_1 = require("react-bootstrap/Feedback");
var FormControl_1 = require("react-bootstrap/FormControl");
var FormGroup_1 = require("react-bootstrap/FormGroup");
var Form_1 = require("react-bootstrap/Form");
var core_1 = require("@reactionable/core");
;
exports.Form = function (_a) {
    var title = _a.title, render = _a.render, props = __rest(_a, ["title", "render"]);
    var renderFormFields = function (formikBag, isLoading) {
        return react_1.default.createElement(Form_1.default, { className: "needs-validation" }, render(formikBag, isLoading));
    };
    return react_1.default.createElement(core_1.Form, __assign({}, props, { render: renderFormFields, successNotification: Notification_1.useSuccessNotification(title), errorAlert: ErrorAlert_1.useErrorAlert(), loader: Loader_1.useLoader() }));
};
exports.FormField = function (_a) {
    var label = _a.label, render = _a.render, props = __rest(_a, ["label", "render"]);
    var renderField = function (fieldProps, error) {
        return react_1.default.createElement(FormGroup_1.default, { controlId: fieldProps.field.name },
            label && react_1.default.createElement(FormLabel_1.default, null, label),
            render ? render(fieldProps, error) : react_1.default.createElement(FormControl_1.default, __assign({}, fieldProps.field)),
            error && react_1.default.createElement(Feedback_1.default, { type: "invalid" }, error));
    };
    return react_1.default.createElement(core_1.FormField, __assign({}, props, { render: renderField }));
};
//# sourceMappingURL=Form.js.map