"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
Object.defineProperty(exports, "__esModule", { value: true });
var react_1 = require("react");
var Navbar_1 = require("react-bootstrap/Navbar");
var Nav_1 = require("react-bootstrap/Nav");
var NavDropdown_1 = require("react-bootstrap/NavDropdown");
var react_i18next_1 = require("react-i18next");
var react_router_dom_1 = require("react-router-dom");
var Authenticator_1 = require("./Authenticator/Authenticator");
require("./Header.scss");
;
var Header = function (_a) {
    var brand = _a.brand, _b = _a.navbarProps, navbarProps = _b === void 0 ? {} : _b, _c = _a.navStartItems, navStartItems = _c === void 0 ? [] : _c;
    var t = react_i18next_1.useTranslation().t;
    var _d = Authenticator_1.useAuthenticator(), user = _d.user, modal = _d.modal, open = _d.open, logout = _d.logout;
    var userMenuItems = [];
    if (user) {
        userMenuItems.push(react_1.default.createElement(NavDropdown_1.default, { key: "userNav", id: "userNav", title: user.displayName() },
            react_1.default.createElement(NavDropdown_1.default.Item, { href: "/account" }, t('My account')),
            react_1.default.createElement(NavDropdown_1.default.Divider, null),
            react_1.default.createElement(NavDropdown_1.default.Item, { href: "#", onClick: logout }, t('Log out'))));
    }
    else {
        var handleOnClick = function () { return open(); };
        userMenuItems.push(react_1.default.createElement(Nav_1.default.Link, { as: react_router_dom_1.Link, to: "#", key: "signup_signin", onClick: handleOnClick, className: "btn btn-outline-primary" }, t('Sign Up / Sign In')));
    }
    return react_1.default.createElement(react_1.default.Fragment, null,
        !user && modal,
        react_1.default.createElement(Navbar_1.default, __assign({}, Object.assign({
            variant: 'dark',
            expand: 'lg',
        }, navbarProps)),
            brand && react_1.default.createElement(Navbar_1.default.Brand, { href: "/" }, brand),
            react_1.default.createElement(Navbar_1.default.Toggle, { "aria-controls": "main-navbar-nav" }),
            react_1.default.createElement(Navbar_1.default.Collapse, { id: "main-navbar-nav" },
                react_1.default.createElement(Nav_1.default, { className: "mr-auto" }, navStartItems)),
            react_1.default.createElement(Nav_1.default, null, userMenuItems)));
};
exports.default = Header;
//# sourceMappingURL=Header.js.map